%if "%distro_section" == "tainted"
%define tainted 1
%endif

Name:           obs-studio
Version:        19.0.3
Release:        %mkrel 1
Summary:        A recording/broadcasting program
Group:          Video/Utilities
License:        GPLv2+
URL:            https://obsproject.com
Source0:        https://github.com/jp9000/obs-studio/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         obs-studio-0.14.2-mga-underlinking.patch
Patch1:         obs-studio-0.14.2-mga-optional-tainted-x264.patch
Patch2:         obs-studio-0.16.2-mga-obs-frontend-api-soname.patch

BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(zlib)
%if 0%{?tainted}
BuildRequires:  pkgconfig(x264)
%endif

ExclusiveArch:	%{ix86} x86_64

%description
Open Broadcaster Software is free and open source software for video
recording and live streaming.

%if 0%{?tainted}
This package is built with support for x264.
%else
This package is built without support for x264. See the tainted equivalent
if needed.
%endif

%prep
%autosetup -p1

%build
%cmake \
  -DUNIX_STRUCTURE=1 \
  -DOBS_MULTIARCH_SUFFIX="%(echo %{_lib} | sed -e 's/lib//')" \
  -DOBS_VERSION_OVERRIDE="%{version}" \
  -DBUILD_X264_PLUGIN="0%{?tainted}"
%make_build

%install
%make_install -C build

# We don't need (a priori) the devel files
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/cmake
rm -rf %{buildroot}%{_includedir}

%files
%{_bindir}/obs
%{_libdir}/libobs.so.0
%{_libdir}/libobs-frontend-api.so.0{,.*}
%{_libdir}/libobs-opengl.so.0{,.*}
%{_libdir}/libobsglad.so.0
%{_libdir}/obs-plugins/
%{_datadir}/applications/obs.desktop
%{_datadir}/obs/
%{_iconsdir}/hicolor/256x256/apps/obs.png


%changelog
* Sun Jun 25 2017 akien <akien> 19.0.3-1.mga6
+ Revision: 1108392
- Version 19.0.3

* Thu May 25 2017 akien <akien> 19.0.2-1.mga6.tainted
+ Revision: 1104587
- Version 19.0.2

* Fri May 05 2017 akien <akien> 18.0.2-1.mga6.tainted
+ Revision: 1099222
- Version 18.0.2

* Tue May 02 2017 akien <akien> 18.0.1-2.mga6
+ Revision: 1098313
- Rebuild for ffmpeg 3.3

* Sat Mar 11 2017 akien <akien> 18.0.1-1.mga6.tainted
+ Revision: 1091878
- Version 18.0.1

* Fri Mar 10 2017 akien <akien> 18.0.0-3.mga6.tainted
+ Revision: 1091628
- Rebuild for v4l-utils 1.12.3

* Wed Mar 08 2017 akien <akien> 18.0.0-2.mga6.tainted
+ Revision: 1090227
- Rebuild for ffmpeg 3.2.4

* Thu Mar 02 2017 akien <akien> 18.0.0-1.mga6.tainted
+ Revision: 1088507
- Version 18.0.0

* Sat Jan 21 2017 akien <akien> 17.0.2-1.mga6.tainted
+ Revision: 1082560
- Version 17.0.2

* Wed Jan 18 2017 akien <akien> 17.0.1-1.mga6.tainted
+ Revision: 1082292
- Version 17.0.1

* Wed Dec 28 2016 akien <akien> 17.0.0-1.mga6.tainted
+ Revision: 1078459
- Version 17.0.0

* Thu Nov 24 2016 akien <akien> 0.16.6-1.mga6.tainted
+ Revision: 1069718
- Version 0.16.6

* Thu Nov 10 2016 akien <akien> 0.16.5-1.1.mga6.tainted
+ Revision: 1066262
- Rebuild for tainted

* Thu Nov 10 2016 akien <akien> 0.16.5-1.mga6
+ Revision: 1066176
- Version 0.16.5

* Thu Oct 06 2016 akien <akien> 0.16.2-2.2.mga6.tainted
+ Revision: 1059247
- Tainted rebuild (x264 support)

* Thu Oct 06 2016 akien <akien> 0.16.2-2.1.mga6
+ Revision: 1059246
- Fix soname of new libobs-frontend-api lib

* Thu Oct 06 2016 akien <akien> 0.16.2-1.1.mga6.tainted
+ Revision: 1059150
- Tainted rebuild (x264 support)

* Wed Oct 05 2016 akien <akien> 0.16.2-1.mga6
+ Revision: 1059069
- Version 0.16.2

* Tue Sep 06 2016 akien <akien> 0.15.4-3.mga6.tainted
+ Revision: 1050234
- Rebuild for tainted

* Tue Sep 06 2016 akien <akien> 0.15.4-2.mga6
+ Revision: 1050217
- Rebuild for core

* Mon Sep 05 2016 akien <akien> 0.15.4-1.mga6.tainted
+ Revision: 1050186
- Version 0.15.4

* Sat Jul 30 2016 pterjan <pterjan> 0.15.2-3.mga6.tainted
+ Revision: 1044029
- Restrict to x86, mmx is needed

* Sat Jul 30 2016 tmb <tmb> 0.15.2-2.mga6.tainted
+ Revision: 1043926
- submit to tainted

* Thu Jul 28 2016 akien <akien> 0.15.2-1.mga6
+ Revision: 1043816
- Add libvlc BR for vlc plugin
- Version 0.15.2

* Sun Jun 26 2016 akien <akien> 0.14.2-2.mga6
+ Revision: 1037715
- Add message about x264 support

* Sun Jun 26 2016 akien <akien> 0.14.2-1.mga6
+ Revision: 1037708
- Enable build without x264 plugin (for Core)
- Only require x264 for tainted build
- imported package obs-studio

